//we need the gun add-on for this, so force it to load
%error = ForceRequiredAddOn("Weapon_Gun");

if(%error == $Error::AddOn_Disabled)
{
   //A bit of a hack:
   //  we just forced the gun to load, but the user had it disabled
   //  so lets make it so they can't select it
   GunItem.uiName = "";
}

if(%error == $Error::AddOn_NotFound)
{
   //we don't have the gun, so we're screwed
   error("ERROR: Weapon_HitmansHeatmaker - required add-on Weapon_Gun not found");
}
datablock PlayerData(PlayerFocus : PlayerStandardArmor)
{

		runForce = 32 * 87;
		runEnergyDrain = 0;
		minRunEnergy = 0;

		maxForwardSpeed = 3;
		maxBackwardSpeed = 1;
		maxSideSpeed = 2;

		maxForwardCrouchSpeed = 2;
		maxBackwardCrouchSpeed = 1;
		maxSideCrouchSpeed = 1;

		jumpForce = 5 * 90;
		jumpEnergyDrain = 0;
		minJumpEnergy = 0;
		jumpDelay = 3;

		canJet = 0;

		uiName = "Focused Player";
		showEnergyBar = False;

		maxDamage = 100;
};
if(isFile("Add-Ons/Sound_Blockland/server.cs"))
{
   forceRequiredAddOn("Sound_Blockland");
}
else
{

datablock AudioProfile(HHBlock_MoveBrick_Sound)
   {
      filename = "base/data/sound/clickMove.wav";
      description = AudioClosest3d;
      preload = false;
   };
   datablock AudioProfile(HHBlock_PlantBrick_Sound)
   {
      filename = "base/data/sound/clickPlant.wav";
      description = AudioClosest3d;
      preload = false;
   };
   
   }
 
 exec("./hh.cs"); 
  exec("./hitboxes.cs"); 
  exec("./SupportAmmoguns.cs");